> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Auth Email Authority



## OpenAPI

````yaml POST /smart-accounts/auth
openapi: 3.1.0
info:
  title: Grid API
  description: Grid API Documentation
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz/api/v0/grid
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: smart-accounts
    description: Smart Accounts
paths:
  /smart-accounts/auth:
    post:
      tags:
        - Smart Accounts
      operationId: handler
      parameters:
        - name: X-Grid-Environment
          in: header
          description: The environment you’re using. Can be `sandbox` or `production`.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthenticateSuborgRequest'
        required: true
      responses:
        '200':
          description: Successfully authenticated suborg
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticateSuborgResponse'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
      security:
        - bearerAuth: []
components:
  schemas:
    AuthenticateSuborgRequest:
      type: object
      required:
        - email
        - app_name
        - app_icon_url
      properties:
        app_icon_url:
          type: string
        app_name:
          type: string
        email:
          type: string
        expiration:
          type: integer
          format: int64
          minimum: 0
        external_id:
          type:
            - string
            - 'null'
    AuthenticateSuborgResponse:
      type: object
      required:
        - otp_id
        - mpc_primary_id
      properties:
        mpc_primary_id:
          type: string
        otp_id:
          type: string
    GridError:
      type: object
      required:
        - message
        - details
        - timestamp
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/Detail'
        message:
          type: string
        timestamp:
          type: string
    Detail:
      type: object
      required:
        - field
        - code
        - message
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for authentication

````